# Interface Entity

Represents an entity. Entities are objects that are fundamentally defined by an identity rather than their attributes. An entity's attributes can change over time, yet it will still retain a continuous thread of identity.

interface Entity {
id: string;
itemType: string;
toItemUri(): string;
}

#### Hierarchy (view full)

- Entity
  - FeatureSource
  - Relationship

#### Implemented by

- EntityBase
- FeatureList
- FeatureSet
- LanguageResources

#####
Index

### Properties

id
itemType

### Methods

toItemUri

##
Properties

### `Readonly` id

id: string

The unique ID for this entity.

### `Readonly` itemType

itemType: string

The item type for this entity when it participates in an App.

##
Methods

### toItemUri

- toItemUri(): string

- Creates an item:// URI reference to this entity.

  #### Returns string